<?php
//<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
//sigurnost:
if (!defined('SIGURICA')) die('Nedozvoljen pristup!');
if ($prava_pristup_sadrzaj!=1) die('Nedozvoljen pristup!');


//ucitaj kategorije
$sql99="
SELECT 
id_rubrika,
naslov,
opis,
user,
datum,
vidljivost,
pozicija
FROM
b7_rubrika
ORDER BY pozicija ASC
";
$rez99=mysql_query($sql99,$conn);
$num99=mysql_num_rows($rez99);
$display='';
if ($num99>0) {
	$cur99=1;
	$display.=''."\n";
	$display.='<tr>'."\n";
	$display.='<th>ID</th>'."\n";
	$display.='<th>Pozicija</th>'."\n";
	$display.='<th>Naslov</th>'."\n";
	$display.='<th>Opis</th>'."\n";
	$display.='<th colspan="2">Akcija</th>'."\n";
	$display.='</tr>'."\n";
	while ($num99>=$cur99) {
		$row99=mysql_fetch_array($rez99);
		$display.='<tr>'."\n";
		$display.='<td>'.$row99['id_rubrika'].'</td>'."\n";		
		
		//pozicija
		if ($num99>1) {
			if ($cur99==1) {
				//prva strelica	
				$display.='<td align="center"><a href="glavna.php?modul='.$modul.'&amp;akcija=pomjeri_rubriku_dolje&amp;id_rub='.$row99['id_rubrika'].'&amp;pozicija='.$row99['pozicija'].'" onMouseover="ddrivetip(\'Pomjeri rubriku dolje za jedno mjesto\', 200)"; onMouseout="hideddrivetip()"><img src="slike/arrow_down.gif" width="16" height="16" border="0" alt="pomjeri dolje" /></a></td>'."\n";
			} else if ($cur99==$num99) {
				//zadnja strelica
				$display.='<td align="center"><a href="glavna.php?modul='.$modul.'&amp;akcija=pomjeri_rubriku_gore&amp;id_rub='.$row99['id_rubrika'].'&amp;pozicija='.$row99['pozicija'].'" onMouseover="ddrivetip(\'Pomjeri rubriku gore za jedno mjesto\', 200)"; onMouseout="hideddrivetip()"><img src="slike/arrow_up.gif" width="16" height="16" border="0" alt="pomjeri dolje" /></a></td>'."\n";
			} else {
				// dvije strelice
				$display.='<td><a href="glavna.php?modul='.$modul.'&amp;akcija=pomjeri_rubriku_dolje&amp;id_rub='.$row99['id_rubrika'].'&amp;pozicija='.$row99['pozicija'].'" onMouseover="ddrivetip(\'Pomjeri rubriku dolje za jedno mjesto\', 200)"; onMouseout="hideddrivetip()"><img src="slike/arrow_down.gif" width="16" height="16" border="0" alt="pomjeri dolje" /></a>'."\n";
				$display.='&nbsp;&nbsp;&nbsp;';
				$display.='<a href="glavna.php?modul='.$modul.'&amp;akcija=pomjeri_rubriku_gore&amp;id_rub='.$row99['id_rubrika'].'&amp;pozicija='.$row99['pozicija'].'" onMouseover="ddrivetip(\'Pomjeri rubriku gore za jedno mjesto\', 200)"; onMouseout="hideddrivetip()"><img src="slike/arrow_up.gif" width="16" height="16" border="0" alt="pomjeri dolje" /></a></td>'."\n";							
			}						
		} else {
			$display.='<td>&nbsp;</td>'."\n";
		}
		
		//naslov kategorije
		$display.='<td>'.$row99['naslov'].'</td>'."\n";
		$display.='<td>'.$row99['opis'].'</td>'."\n";

		
		
			
		
		//parametri
		$display.='<td><a href="glavna.php?modul='.$modul.'&amp;akcija=form_edit_rubriku&amp;id_rub='.$row99['id_rubrika'].'" onMouseover="ddrivetip(\'Promjenite parametre za rubriku (naslov, opis)\', 200)"; onMouseout="hideddrivetip()"><em>Parametri</em></a></td>'."\n";
		//brisanje
		$display.='<td><a href="glavna.php?modul='.$modul.'&amp;akcija=delete_rubriku&amp;id_rubrika='.$row99['id_rubrika'].'" onMouseover="ddrivetip(\'Obrišite ovu rubriku iz baze\', 200)"; onMouseout="hideddrivetip()" onclick="return verify()"><em>Obriši</em></a></td>'."\n";
		
		$display.='</tr>'."\n";
		$cur99++;
	}
} else {
	$display.='<br /><br /><b>Trenutno nema niti jedne rubrike!</b>';
}
	
	
	
?>
<script type="text/javascript">
$(document).ready(function(){
//JQuery ready is quicker than onload
$(".stripeMe tr").mouseover(function() {$(this).addClass("over");}).mouseout(function() {$(this).removeClass("over");});
$(".stripeMe tr:even").addClass("alt");
});
</script>
<div id="main_content">

<h1>Lista rubrika</h1>
<br />
<a class="gray_normal" href="glavna.php?modul=<?php echo $modul;?>&amp;akcija=form_insert_rubrika">Unos nove rubrike</a>
<br /><br />
<table class="stripeMe" cellpadding="5" cellspacing="1" border="0">
<?php
echo $display;
?>
</table>    
    
</div>